<template>
  <v-content>
    <v-container fluid>
      <v-text-field
        append-icon="search"
        label="Search"
        single-line
        hide-details
        v-model="search"/>
      <v-layout justify-center>
        <v-data-table
          :headers="headers"
          :items="items"
          hide-actions
          :search="search"
          item-key="name"
          class="elevation-1"
        >
          <template slot="items" slot-scope="props">
            <td>{{ props.item.name }}</td>
            <td class="text-xs-right">{{ props.item.tax }}</td>
            <td class="text-xs-right">{{ props.item.fixedCosts }}</td>
            <td class="text-xs-right">{{ props.item.currency.code }}</td>
          </template>
        </v-data-table>
      </v-layout>
    </v-container>
  </v-content>
</template>

<script>
import backend from '../services/backend'

export default {
  name: 'CountriesGrid',
  data () {
    return {
      search: '',
      headers: [
        {text: 'Name', value: 'name', align: 'left'},
        {text: 'Tax', value: 'tax'},
        {text: 'Fixed costs', value: 'fixedCosts'},
        {text: 'Currency', value: 'currency.code'}
      ],
      items: []
    }
  },
  created () {
    backend.getCountries()
      .then(response => {
        this.items = response._embedded.countries
          .map(c => {
            c.tax = (c.tax * 100) + ' %'
            return c
          })
      })
  }
}
</script>
